> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar envio RCS

> Devuelve estado, **payload completo** (contenido enviado, normalizado), `messageType`, `refer` y timestamps. El `POST` de envío solo devuelve `messageIds` — use este endpoint (o el listado) para ver lo enviado.



## OpenAPI

````yaml /es/rcs-api/api-reference/openapi-rcs.json get /v1/rcs/messages/{id}
openapi: 3.0.3
info:
  title: API RCS de Notifique
  description: >-
    Envíe mensajes RCS, gestione agentes (instancias) y consulte respuestas
    recibidas. Autentique com `Authorization: Bearer sk_live_...` ou
    `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Producción
security:
  - ntfRcsBearerAuth: []
  - ntfRcsApiKeyHeader: []
tags:
  - name: Mensagens
    description: Envío, listado, consulta y cancelación de mensajes RCS salientes.
  - name: Instâncias
    description: >-
      Agentes RCS de marca del workspace: creación, revisión y
      aprovisionamiento.
  - name: Inbound
    description: Mensajes RCS recibidos (MO) en el workspace.
paths:
  /v1/rcs/messages/{id}:
    get:
      tags:
        - Mensagens
      summary: Consultar envio RCS
      description: >-
        Devuelve estado, **payload completo** (contenido enviado, normalizado),
        `messageType`, `refer` y timestamps. El `POST` de envío solo devuelve
        `messageIds` — use este endpoint (o el listado) para ver lo enviado.
      operationId: ntfRcs_getV1RcsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID retornado no envio.
      responses:
        '200':
          description: Dados do RCS.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_RcsStatusResponse'
              example:
                success: true
                data:
                  rcsId: clrcs1...
                  to: '5511999999999'
                  type: card
                  payload:
                    message: ''
                    cardImage: https://cdn.example.com/rcs/oferta.jpg
                    cardTitle: Oferta especial
                    cardMessage: Válida até domingo.
                    buttons:
                      - text: Ver oferta
                        url: https://example.com/promo
                  refer: pedido-123
                  status: DELIVERED
                  externalId: ext-abc
                  errorMessage: null
                  scheduledFor: null
                  sentAt: '2025-02-10T14:00:05.000Z'
                  deliveredAt: '2025-02-10T14:00:30.000Z'
                  readAt: null
                  clickedAt: null
                  failedAt: null
                  createdAt: '2025-02-10T14:00:00.000Z'
                  updatedAt: '2025-02-10T14:00:30.000Z'
        '401':
          description: API Key ausente ou inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Unauthorized
                message: Invalid or missing API Key
                code: UNAUTHORIZED
        '403':
          description: Escopo `rcs:read` ausente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Forbidden
                message: 'Missing scope: rcs:read'
                code: FORBIDDEN
        '404':
          description: RCS não encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Not Found
                message: RCS message not found
                code: NOT_FOUND
components:
  schemas:
    NtfRcs_RcsStatusResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            rcsId:
              type: string
            to:
              type: string
            messageType:
              type: string
              enum:
                - BASIC
                - CARD
                - CAROUSEL
                - FILE
            payload:
              type: object
              properties:
                message:
                  type: string
                  example: ''
                cardImage:
                  type: string
                  example: https://cdn.example.com/rcs/oferta.jpg
                cardTitle:
                  type: string
                  example: Oferta especial
                cardMessage:
                  type: string
                  example: Válida até domingo.
                buttons:
                  type: array
                  items:
                    type: string
                  example:
                    - text: Ver oferta
                      url: https://example.com/promo
            refer:
              type: string
              nullable: true
            status:
              type: string
            externalId:
              type: string
              nullable: true
            errorMessage:
              type: string
              nullable: true
            scheduledFor:
              type: string
              format: date-time
              nullable: true
            sentAt:
              type: string
              format: date-time
              nullable: true
            deliveredAt:
              type: string
              format: date-time
              nullable: true
            readAt:
              type: string
              format: date-time
              nullable: true
            clickedAt:
              type: string
              format: date-time
              nullable: true
            failedAt:
              type: string
              format: date-time
              nullable: true
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
      example:
        success: true
        data:
          rcsId: clxx...
          to: '5511999999999'
          payload: {}
          refer: string
          status: string
          externalId: clxx...
          errorMessage: string
          scheduledFor: '2025-02-10T14:00:00.000Z'
          sentAt: '2025-02-10T14:00:00.000Z'
          deliveredAt: '2025-02-10T14:00:00.000Z'
          readAt: '2025-02-10T14:00:00.000Z'
          clickedAt: '2025-02-10T14:00:00.000Z'
          failedAt: '2025-02-10T14:00:00.000Z'
          createdAt: '2025-02-10T14:00:00.000Z'
          updatedAt: '2025-02-10T14:00:00.000Z'
    NtfRcs_ErrorResponse:
      type: object
      required:
        - success
        - error
        - message
        - code
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        data:
          type: object
          additionalProperties: true
          properties:
            status:
              type: string
              example: SENT
      example:
        success: false
        error: string
        message: string
        code: string
        details:
          - field: string
            message: string
        data: {}
  securitySchemes:
    ntfRcsBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key no header Authorization. Exemplo: `Authorization: Bearer
        sk_live_xxxxx`
    ntfRcsApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key no header x-api-key. Exemplo: `x-api-key: sk_live_xxxxx`'

````